<?php

/************************************************************/
/* Theme Name: flexi2 (v1.2)                                */
/* Copyright (c) 2002 XOOPS (http://www.xoops.org)          */
/* Created by Xend  (Http;//www.xendtech.com)               */
/* Last Updated: 02/01/2002                                 */
/************************************************************/

$xoopsTheme['thename'] = "flexi2";

/************************************************************/
/* OpenTable Functions                                      */
/*                                                          */
/* Define the tables look&feel for you whole site. For this */
/* we have two options: OpenTable and OpenTable2 functions. */
/* Then we have CloseTable and CloseTable2 function to      */
/* properly close our tables. The difference is that        */
/* OpenTable has a 100% width and OpenTable2 has a width    */
/* according with the table content                         */
/************************************************************/

function OpenTable($width="100%") {
 global $xoopsTheme;
 echo "<table width='".$width."' border='0' cellspacing='0' cellpadding='0'><tr><td>\n";
 echo "<table class='border_news' width='100%' border='0' cellspacing='1' cellpadding='8'><tr><td>\n";
}
function CloseTable() {
 echo "</td></tr></table></td></tr></table>\n";
}

/************************************************************/
/* Function themesidebox()                                  */
/*                                                          */
/* Control look of your blocks. Just simple.                */
/************************************************************/

function themesidebox($title, $content) {
 echo"<table width='100%' border='0' cellspacing='1' cellpadding='5'><tr>"
    ."<td colspan='1'><div class='sidboxtitle'>$title</div></td></tr><tr>"
    ."<td><font>$content</font></td></tr></table>";
 }

/************************************************************/
/* Function themecenterposts()                              */
/*                                                          */
/* Control look of your blocks. Just simple.                */
/************************************************************/

function themecenterposts($title, $content) {
 echo"<table class='border_news' border='0' cellpadding='5' cellspacing='0' width='100%'><tr>"
    ."<td><div class='newstitle'>$title</div><br /></td></tr><tr>"
    ."<td><font>$content</font></td></tr><tr><td align='right'>&nbsp;</td></tr></table>";
 }

/************************************************************/
/* Function themeheader()                                   */
/*                                                          */
/* Control the header for your site. You need to define the */
/* BODY tag and in some part of the code call the blocks    */
/* function for left side with: blocks(left);               */
/************************************************************/

function themeheader($show_rblock){
 global $xoopsConfig,$xoopsTheme;
 echo"</head><body>";
 OpenWaitBox();
 echo "<table border='0' cellpadding='0' cellspacing='0' width='100%' height='100%'><tr height='50'>"
     ."<td align='center' valign='top' height='50' width='100%'>"
     ."<table class='headertable' border='0' cellpadding='0' cellspacing='0' width='100%' height='50'><tr>"
     ."<td valign='top' width='33%'><a href='".XOOPS_URL."/index.php'><img src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/logo.gif' align='left' alt='".sprintf(_TH_WELCOMETO,$xoopsConfig['sitename'])."' border='0'></a></td>"
     ."<td align='center' valign='middle' width='34%'>";
 if ($xoopsConfig['banners']) {
 showbanner();
 }
 echo"&nbsp;</td>"
    ."<td width='33%'>&nbsp;</td>"
    ."</tr></table></td></tr><tr>"
    ."<td valign='top' align='center' width='100%'>"
    ."<table border='0' cellpadding='0' cellspacing='0' width='100%' height='100%'><tr>"
    ."<td class='leftsidebar' width='160' valign='top'>";
 make_sidebar("left");
 echo"</td><td class='newstd' valign='top' align='center'>";
}

/************************************************************/
/* Function themefooter()                                   */
/*                                                          */
/* Control the footer for your site. You don't need to      */
/* close BODY and HTML tags at the end. In some part call   */
/* the function for right blocks with: blocks(right);       */
/* Also, $index variable need to be global and is used to   */
/* determine if the page your're viewing is the Homepage or */
/* and internal one.                                        */
/************************************************************/

function themefooter($show_rblock, $footer){
 if ( $show_rblock ) {
 echo"</td><td class='rightsidebar' width='160' valign='top' align='right'>";
 make_sidebar("right");
 echo"</td></tr></table></td></tr><tr height='40'>"
    ."<td align='center' valign='bottom' width='100%' height='40'>"
    ."<table class='footertable' border='0' cellpadding='0' cellspacing='0' width='100%'><tr height='40'>"
    ."<td width='15%' height='40'>&nbsp;</td>"
    ."<td class='footermsgtd' align='center' height='40'>";
 echo $footer;
 echo"</td><td width='15%' height='40'>&nbsp;</td></tr></table></td></tr></table>";
}
if ( !$show_rblock ) {
 echo"</td></tr></table></td></tr><tr height='40'>"
    ."<td align='center' valign='bottom' width='100%' height='40'>"
    ."<table class='footertable' border='0' cellpadding='0' cellspacing='0' width='100%'><tr height='40'>"
    ."<td width='15%' height='40'>&nbsp;</td>"
    ."<td class='footermsgtd' align='center' height='40'>";
 echo $footer;
 echo"</td><td width='15%' height='40'>&nbsp;</td></tr></table></td></tr></table>";

}
 CloseWaitBox();
}
?>
